
/* parser.dlg -- DLG Description of scanner
 *
 * Generated from: sor.g
 *
 * Terence Parr, Will Cohen, and Hank Dietz: 1989-1994
 * Purdue University Electrical Engineering
 * With AHPCRC, University of Minnesota
 * ANTLR Version 1.21
 */

#include <stdio.h>
#define ANTLR_VERSION	121

#define ZZLEXBUFSIZE	4000
#include "charbuf.h"
#include "hash.h"
#include "set.h"
#include "sor.h"
#define AST_FIELDS	int token; char text[MaxAtom+1], label[MaxRuleName+1]; \
char *action;		/* if action node, here is ptr to it */ \
char in,out; \
char init_action;	/* set if Action and 1st action of alt */ \
int file; int line; /* set for BLOCK, ALT, nonterm nodes */ \
int upper_range;	/* only if T1..T2 found */	\
GLA *start_state;	/* ptr into GLA for this block */ \
int no_copy;		/* copy input ptr to output ptr? */ \
ListNode *refvars;	/* any ref vars defined for this rule */
#define zzcr_ast(node, cur, _tok, _text)	\
{(node)->token=_tok; strncpy((node)->text, _text,MaxAtom);}
#define USER_ZZSYN
#define zzAST_DOUBLE
#define LL_K 2
#include "antlr.h"
#include "ast.h"
#include "tokens.h"
#include "dlgdef.h"
LOOKAHEAD
void zzerraction()
{
	(*zzerr)("invalid token");
	zzadvance();
	zzskip();
}
/*
 * D L G tables
 *
 * Generated from: parser.dlg
 *
 * 1989-1994 by  Will Cohen, Terence Parr, and Hank Dietz
 * Purdue University Electrical Engineering
 * DLG Version 1.21
 */

#include "mode.h"




#include "sym.h"
#include "proto.h"

char *
scarf_to_end_of_func_call()
{
	static char func_call_str[MaxAtom+1];
	char *p;
	
	strcpy(func_call_str,"_parser->read,");
	p = &func_call_str[strlen("_parser->read,")];
	
more:
	if ( zzchar==')' ) { *p++ = zzchar; *p++ = '\0'; zzadvance(); return func_call_str; }
	if ( zzchar=='"' )
	{
		*p++ = zzchar; zzadvance();
		while ( zzchar!='"' )
		{
			if ( zzchar=='\\' ) { *p++ = zzchar; zzadvance(); }
			*p++ = zzchar; zzadvance();
		}
	}
	*p++ = zzchar; zzadvance();
	goto more;
}

static void act1()
{ 
		NLA = Eof;
		/* L o o k  F o r  A n o t h e r  F i l e */
		{
			FILE *new_input;
			new_input = NextFile();
			if ( new_input != NULL ) {
				fclose( input );
				input = new_input;
				zzrdstream( input );
				/*zzadvance();	/* Get 1st char of this file */
				zzskip();	/* Skip the Eof (@) char i.e continue */
			}
		}
	}


static void act2()
{ 
		NLA = 55;
		zzskip();   
	}


static void act3()
{ 
		NLA = 56;
		zzline++; zzskip();   
	}


static void act4()
{ 
		NLA = 57;
		zzmode(ACTIONS); zzmore();
		istackreset();
		pushint(']');   
	}


static void act5()
{ 
		NLA = 58;
		action_file=CurFile; action_line=zzline;
		zzmode(ACTIONS); zzmore();
		istackreset();
		pushint('>');   
	}


static void act6()
{ 
		NLA = 59;
		zzmode(STRINGS); zzmore();   
	}


static void act7()
{ 
		NLA = 60;
		zzmode(COMMENTS); zzskip();   
	}


static void act8()
{ 
		NLA = 61;
		err("Missing /*; found dangling */"); zzskip();   
	}


static void act9()
{ 
		NLA = 62;
		zzmode(CPP_COMMENTS); zzskip();   
	}


static void act10()
{ 
		NLA = 63;
		err("Missing <<; found dangling \>\>"); zzskip();   
	}


static void act11()
{ 
		NLA = Header;
	}


static void act12()
{ 
		NLA = Tokdef;
	}


static void act13()
{ 
		NLA = LABEL;
	}


static void act14()
{ 
		NLA = OPT;
	}


static void act15()
{ 
		NLA = POS_CLOSURE;
	}


static void act16()
{ 
		NLA = CLOSURE;
	}


static void act17()
{ 
		NLA = WILD;
	}


static void act18()
{ 
		NLA = PRED_OP;
	}


static void act19()
{ 
		NLA = BT;
	}


static void act20()
{ 
		NLA = 80;
	}


static void act21()
{ 
		NLA = 81;
	}


static void act22()
{ 
		NLA = 82;
	}


static void act23()
{ 
		NLA = 83;
	}


static void act24()
{ 
		NLA = 84;
	}


static void act25()
{ 
		NLA = 85;
	}


static void act26()
{ 
		NLA = 86;
	}


static void act27()
{ 
		NLA = 87;
	}


static void act28()
{ 
		NLA = 89;
	}


static void act29()
{ 
		NLA = NonTerm;
	}


static void act30()
{ 
		NLA = Token;
	}


static void act31()
{ 
		NLA = 90;
		warn(eMsg1("unknown meta-op: %s",LATEXT(1))); zzskip();   
	}

static unsigned char shift0[257] = {
  0, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  1, 2, 34, 34, 2, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 1, 26, 5, 9, 34, 34, 34, 
  34, 25, 29, 7, 22, 34, 34, 23, 6, 33, 
  33, 33, 33, 33, 33, 33, 33, 33, 33, 20, 
  27, 4, 34, 8, 24, 34, 32, 32, 32, 32, 
  32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 
  32, 32, 32, 32, 32, 32, 32, 32, 32, 32, 
  32, 32, 3, 34, 34, 34, 33, 34, 12, 31, 
  31, 13, 11, 18, 31, 10, 31, 31, 17, 31, 
  31, 31, 16, 31, 31, 14, 19, 15, 31, 31, 
  31, 31, 31, 31, 21, 28, 30, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34, 34, 34, 34, 
  34, 34, 34, 34, 34, 34, 34
};


static void act32()
{ 
		NLA = Eof;
	}


static void act33()
{ 
		NLA = RExpr;
		zzmode(START);   
	}


static void act34()
{ 
		NLA = 3;
		
		zzline++;
		warn("eoln found in string");
		zzskip();
	}


static void act35()
{ 
		NLA = 4;
		zzmore();   
	}


static void act36()
{ 
		NLA = 5;
		zzmore();   
	}

static unsigned char shift1[257] = {
  0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 2, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 1, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 3, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4
};


static void act37()
{ 
		NLA = Eof;
	}


static void act38()
{ 
		NLA = 6;
		zzmode(ACTIONS); zzmore();   
	}


static void act39()
{ 
		NLA = 7;
		
		zzline++;
		warn("eoln found in string (in user action)");
		zzskip();
	}


static void act40()
{ 
		NLA = 8;
		zzmore();   
	}


static void act41()
{ 
		NLA = 9;
		zzmore();   
	}

static unsigned char shift2[257] = {
  0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 2, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 1, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 3, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4
};


static void act42()
{ 
		NLA = Eof;
	}


static void act43()
{ 
		NLA = 10;
		zzmode(ACTIONS); zzmore();   
	}


static void act44()
{ 
		NLA = 11;
		
		zzline++;
		warn("eoln found in char literal (in user action)");
		zzskip();
	}


static void act45()
{ 
		NLA = 12;
		zzmore();   
	}


static void act46()
{ 
		NLA = 13;
		zzmore();   
	}

static unsigned char shift3[257] = {
  0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 2, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  1, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 3, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4
};


static void act47()
{ 
		NLA = Eof;
	}


static void act48()
{ 
		NLA = 14;
		zzmode(ACTIONS); zzmore();   
	}


static void act49()
{ 
		NLA = 15;
		zzmore();   
	}


static void act50()
{ 
		NLA = 16;
		zzline++; zzmore();   
	}


static void act51()
{ 
		NLA = 17;
		zzmore();   
	}

static unsigned char shift4[257] = {
  0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 3, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 1, 4, 4, 4, 4, 2, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4
};


static void act52()
{ 
		NLA = Eof;
	}


static void act53()
{ 
		NLA = 18;
		zzline++; zzmode(ACTIONS); zzmore();   
	}


static void act54()
{ 
		NLA = 19;
		zzmore();   
	}

static unsigned char shift5[257] = {
  0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 1, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2
};


static void act55()
{ 
		NLA = Eof;
	}


static void act56()
{ 
		NLA = 20;
		zzline++; zzmode(START); zzskip();   
	}


static void act57()
{ 
		NLA = 21;
		zzskip();   
	}

static unsigned char shift6[257] = {
  0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 1, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2
};


static void act58()
{ 
		NLA = Eof;
	}


static void act59()
{ 
		NLA = 22;
		zzmode(START); zzskip();   
	}


static void act60()
{ 
		NLA = 23;
		zzskip();   
	}


static void act61()
{ 
		NLA = 24;
		zzline++; zzskip();   
	}


static void act62()
{ 
		NLA = 25;
		zzskip();   
	}

static unsigned char shift7[257] = {
  0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 3, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 1, 4, 4, 4, 4, 2, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4
};


static void act63()
{ 
		NLA = Eof;
	}


static void act64()
{ 
		NLA = 26;
		{
			RefVarRec *rf;
			zzskip();
			zzbegexpr[strlen(zzbegexpr)-1] = '\0';
			rf=refVarRec(zzbegexpr);
			list_add(&AllRefVars, rf);
			list_add(&RefVars, rf);
			zzmode(ACTIONS); zzmore(); zzreplstr("");
		}  
	}

static unsigned char shift8[257] = {
  0, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 2, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1, 1, 1, 1, 
  1, 1, 1, 1, 1, 1, 1
};


static void act65()
{ 
		NLA = Eof;
	}


static void act66()
{ 
		NLA = Action;
		/* these do not nest */
		zzmode(START);
		NLATEXT[0] = ' ';
		NLATEXT[1] = ' ';
		zzbegexpr[0] = ' ';
		zzbegexpr[1] = ' ';
		if ( zzbufovf ) {
			found_error = 1;
			err( eMsgd("action buffer overflow; size %d",ZZLEXBUFSIZE));
		}
	}


static void act67()
{ 
		NLA = PassAction;
		if ( topint() == ']' ) {
			popint();
			if ( istackempty() )	/* terminate action */
			{
				zzmode(START);
				NLATEXT[0] = ' ';
				zzbegexpr[0] = ' ';
				if ( zzbufovf ) {
					found_error = 1;
					err( eMsgd("parameter buffer overflow; size %d",ZZLEXBUFSIZE));
				}
			}
			else {
				/* terminate #[..] */
				zzreplstr(")");
				zzmore();
			}
		}
		else if ( topint() == '|' ) { /* end of simple [...] */
			popint();
			zzmore();
		}
		else zzmore();
	}


static void act68()
{ 
		NLA = 29;
		zzline++; zzmore();   
	}


static void act69()
{ 
		NLA = 30;
		zzmore();   
	}


static void act70()
{ 
		NLA = 31;
		zzreplstr("ast_empty_node()"); zzmore();   
	}


static void act71()
{ 
		NLA = 32;
		zzreplstr("NULL"); zzmore();   
	}


static void act72()
{ 
		NLA = 33;
		
		pushint(']');
		zzreplstr("ast_node(");
		zzmore();
	}


static void act73()
{ 
		NLA = 34;
		
		pushint('}');
		zzreplstr("ast_make(_parser->write,");
		zzmore();
	}


static void act74()
{ 
		NLA = 35;
		zzmore();   
	}


static void act75()
{ 
		NLA = 36;
		
		if ( istackempty() )
		zzmore();
		else if ( topint()==')' ) {
			popint();
		}
		else if ( topint()=='}' ) {
			popint();
			/* terminate #(..) */
			zzreplstr(", NULL)");
		}
		zzmore();
	}


static void act76()
{ 
		NLA = 37;
		
		pushint('|');	/* look for '|' to terminate simple [...] */
		zzmore();
	}


static void act77()
{ 
		NLA = 38;
		
		pushint(')');
		zzmore();
	}


static void act78()
{ 
		NLA = 39;
		zzreplstr("]");  zzmore();   
	}


static void act79()
{ 
		NLA = 40;
		zzreplstr(")");  zzmore();   
	}


static void act80()
{ 
		NLA = 41;
		zzreplstr(">");  zzmore();   
	}


static void act81()
{ 
		NLA = 42;
		zzmode(ACTION_CHARS); zzmore();  
	}


static void act82()
{ 
		NLA = 43;
		zzmode(ACTION_STRINGS); zzmore();  
	}


static void act83()
{ 
		NLA = 44;
		zzreplstr("#");  zzmore();   
	}


static void act84()
{ 
		NLA = 45;
		zzmore();   
	}


static void act85()
{ 
		NLA = 46;
		zzmore();   
	}


static void act86()
{ 
		NLA = 47;
		zzmode(ACTION_COMMENTS); zzmore();   
	}


static void act87()
{ 
		NLA = 48;
		err("Missing /*; found dangling */ in action"); zzmore();   
	}


static void act88()
{ 
		NLA = 49;
		zzmode(ACTION_CPP_COMMENTS); zzmore();   
	}


static void act89()
{ 
		NLA = 50;
		zzmode(REFVAR_SCARF); zzmore(); zzreplstr("");  
	}


static void act90()
{ 
		NLA = 51;
		
		zzmore(); zzreplstr("_parser->");
	}


static void act91()
{ 
		NLA = 52;
		
		if ( strcmp(zzbegexpr,"ast_scan(")==0 ) {
			char *args=scarf_to_end_of_func_call();
			zzreplstr(cvt_token_str(zzbegexpr, args));
			zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_find_all(")==0 ) {
			zzreplstr("ast_find_all(_parser->read,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_match(")==0 ) {
			zzreplstr("ast_match(_parser->read,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_insert_after(")==0 ) {
			zzreplstr("ast_insert_after(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_append(")==0 ) {
			zzreplstr("ast_append(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_tail(")==0 ) {
			zzreplstr("ast_tail(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_bottom(")==0 ) {
			zzreplstr("ast_bottom(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_cut_between(")==0 ) {
			zzreplstr("ast_cut_between(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_to_slist(")==0 ) {
			zzreplstr("ast_to_slist(_parser->read,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"slist_to_ast(")==0 ) {
			zzreplstr("slist_to_ast(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_free(")==0 ) {
			zzreplstr("ast_free(_parser->write,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_nsiblings(")==0 ) {
			zzreplstr("ast_nsiblings(_parser->read,"); zzmore();
		}
		else if ( strcmp(zzbegexpr,"ast_sibling_index(")==0 ) {
			zzreplstr("ast_sibling_index(_parser->read,"); zzmore();
		}
		else { pushint(')'); zzmore(); }
	}


static void act92()
{ 
		NLA = 53;
		zzmore();   
	}


static void act93()
{ 
		NLA = 54;
		zzmore();   
	}

static unsigned char shift9[257] = {
  0, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 3, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 10, 4, 15, 15, 15, 
  9, 6, 7, 12, 15, 15, 15, 15, 11, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 1, 15, 13, 14, 14, 14, 14, 
  14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
  14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
  14, 14, 5, 8, 2, 15, 14, 15, 14, 14, 
  14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
  14, 14, 14, 14, 14, 14, 14, 14, 14, 14, 
  14, 14, 14, 14, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15, 15, 15, 15, 
  15, 15, 15, 15, 15, 15, 15
};


static void act94()
{ 
		NLA = Eof;
	}


static void act95()
{ 
		NLA = 91;
		zzmode(PARSE_ENUM_FILE); zzmore();   
	}


static void act96()
{ 
		NLA = 92;
		zzmore();   
	}


static void act97()
{ 
		NLA = 93;
		zzline++; zzmore();   
	}


static void act98()
{ 
		NLA = 94;
		zzmore();   
	}

static unsigned char shift10[257] = {
  0, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 3, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 1, 4, 4, 4, 4, 2, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4, 4, 4, 4, 
  4, 4, 4, 4, 4, 4, 4
};


static void act99()
{ 
		NLA = Eof;
	}


static void act100()
{ 
		NLA = 95;
		zzline++; zzmode(PARSE_ENUM_FILE); zzmore();   
	}


static void act101()
{ 
		NLA = 96;
		zzmore();   
	}

static unsigned char shift11[257] = {
  0, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 1, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2, 2, 2, 2, 
  2, 2, 2, 2, 2, 2, 2
};


static void act102()
{ 
		NLA = Eof;
		/*zzmode(START); zzskip();*/   
	}


static void act103()
{ 
		NLA = 97;
		zzskip();   
	}


static void act104()
{ 
		NLA = 98;
		zzline++; zzskip();   
	}


static void act105()
{ 
		NLA = 99;
		zzmode(TOK_DEF_CPP_COMMENTS); zzmore();   
	}


static void act106()
{ 
		NLA = 100;
		zzmode(TOK_DEF_COMMENTS); zzmore();   
	}


static void act107()
{ 
		NLA = 101;
	}


static void act108()
{ 
		NLA = 104;
	}


static void act109()
{ 
		NLA = 105;
	}


static void act110()
{ 
		NLA = 106;
	}


static void act111()
{ 
		NLA = 107;
	}


static void act112()
{ 
		NLA = 108;
	}


static void act113()
{ 
		NLA = 109;
	}


static void act114()
{ 
		NLA = INT;
	}


static void act115()
{ 
		NLA = ID;
	}

static unsigned char shift12[257] = {
  0, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  1, 2, 21, 21, 2, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 1, 21, 21, 5, 21, 21, 21, 
  21, 21, 21, 4, 21, 15, 21, 21, 3, 18, 
  18, 18, 18, 18, 18, 18, 18, 18, 18, 21, 
  17, 21, 14, 21, 21, 21, 19, 19, 19, 19, 
  19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 
  19, 19, 19, 19, 19, 19, 19, 19, 19, 19, 
  19, 19, 21, 21, 21, 21, 20, 21, 20, 20, 
  20, 6, 7, 8, 20, 20, 9, 20, 20, 20, 
  12, 10, 20, 20, 20, 20, 20, 20, 11, 20, 
  20, 20, 20, 20, 13, 21, 16, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21, 21, 21, 21, 
  21, 21, 21, 21, 21, 21, 21
};

#define DfaStates	160
typedef unsigned short DfaState;

static DfaState st0[35] = {
  1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 
  11, 11, 11, 11, 11, 11, 11, 11, 11, 11, 
  12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 
  22, 11, 23, 160, 160
};

static DfaState st1[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st2[35] = {
  160, 2, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st3[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st4[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st5[35] = {
  160, 160, 160, 160, 24, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st6[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st7[35] = {
  160, 160, 160, 160, 160, 160, 25, 26, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st8[35] = {
  160, 160, 160, 160, 160, 160, 27, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st9[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 28, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st10[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  29, 30, 30, 30, 30, 31, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 32, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st11[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 33, 33, 33, 160
};

static DfaState st12[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st13[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st14[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st15[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 34, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st16[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st17[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st18[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st19[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st20[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st21[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st22[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st23[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 35, 35, 35, 160
};

static DfaState st24[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st25[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st26[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st27[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st28[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st29[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 36, 30, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st30[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st31[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 37, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st32[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st33[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 33, 33, 33, 160
};

static DfaState st34[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160
};

static DfaState st35[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  35, 35, 35, 35, 35, 35, 35, 35, 35, 35, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 35, 35, 35, 160
};

static DfaState st36[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 38, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st37[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 30, 39, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st38[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 40, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st39[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 41, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st40[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 42, 30, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st41[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 43, 30, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st42[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 44, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st43[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 30, 30, 45, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st44[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st45[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 30, 30, 30, 46, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st46[35] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  30, 30, 30, 30, 30, 30, 30, 30, 30, 30, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 30, 30, 30, 160
};

static DfaState st47[6] = {
  48, 49, 50, 51, 52, 160
};

static DfaState st48[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st49[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st50[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st51[6] = {
  160, 53, 53, 53, 53, 160
};

static DfaState st52[6] = {
  160, 160, 160, 160, 52, 160
};

static DfaState st53[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st54[6] = {
  55, 56, 57, 58, 59, 160
};

static DfaState st55[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st56[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st57[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st58[6] = {
  160, 60, 60, 60, 60, 160
};

static DfaState st59[6] = {
  160, 160, 160, 160, 59, 160
};

static DfaState st60[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st61[6] = {
  62, 63, 64, 65, 66, 160
};

static DfaState st62[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st63[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st64[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st65[6] = {
  160, 67, 67, 67, 67, 160
};

static DfaState st66[6] = {
  160, 160, 160, 160, 66, 160
};

static DfaState st67[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st68[6] = {
  69, 70, 71, 72, 71, 160
};

static DfaState st69[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st70[6] = {
  160, 160, 73, 160, 160, 160
};

static DfaState st71[6] = {
  160, 160, 71, 160, 71, 160
};

static DfaState st72[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st73[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st74[4] = {
  75, 76, 77, 160
};

static DfaState st75[4] = {
  160, 160, 160, 160
};

static DfaState st76[4] = {
  160, 160, 160, 160
};

static DfaState st77[4] = {
  160, 160, 77, 160
};

static DfaState st78[4] = {
  79, 80, 81, 160
};

static DfaState st79[4] = {
  160, 160, 160, 160
};

static DfaState st80[4] = {
  160, 160, 160, 160
};

static DfaState st81[4] = {
  160, 160, 81, 160
};

static DfaState st82[6] = {
  83, 84, 85, 86, 85, 160
};

static DfaState st83[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st84[6] = {
  160, 160, 87, 160, 160, 160
};

static DfaState st85[6] = {
  160, 160, 85, 160, 85, 160
};

static DfaState st86[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st87[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st88[4] = {
  89, 90, 160, 160
};

static DfaState st89[4] = {
  160, 160, 160, 160
};

static DfaState st90[4] = {
  160, 90, 91, 160
};

static DfaState st91[4] = {
  160, 160, 160, 160
};

static DfaState st92[17] = {
  93, 94, 95, 96, 97, 98, 99, 100, 101, 102, 
  103, 104, 105, 106, 107, 108, 160
};

static DfaState st93[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st94[17] = {
  160, 109, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st95[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st96[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st97[17] = {
  160, 160, 160, 160, 160, 110, 111, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st98[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st99[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st100[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st101[17] = {
  160, 112, 113, 114, 115, 114, 114, 116, 114, 114, 
  114, 114, 114, 114, 114, 114, 160
};

static DfaState st102[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st103[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st104[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 117, 118, 160, 160, 160, 160
};

static DfaState st105[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 119, 108, 160, 160, 108, 160
};

static DfaState st106[17] = {
  160, 160, 160, 160, 160, 160, 120, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st107[17] = {
  160, 160, 160, 160, 160, 160, 121, 160, 160, 160, 
  160, 160, 160, 160, 107, 160, 160
};

static DfaState st108[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 108, 160, 160, 108, 160
};

static DfaState st109[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st110[17] = {
  160, 160, 122, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st111[17] = {
  160, 160, 160, 160, 160, 160, 160, 123, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st112[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st113[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st114[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st115[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st116[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st117[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st118[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st119[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st120[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st121[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st122[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st123[17] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160
};

static DfaState st124[6] = {
  125, 126, 127, 128, 127, 160
};

static DfaState st125[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st126[6] = {
  160, 160, 129, 160, 160, 160
};

static DfaState st127[6] = {
  160, 160, 127, 160, 127, 160
};

static DfaState st128[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st129[6] = {
  160, 160, 160, 160, 160, 160
};

static DfaState st130[4] = {
  131, 132, 133, 160
};

static DfaState st131[4] = {
  160, 160, 160, 160
};

static DfaState st132[4] = {
  160, 160, 160, 160
};

static DfaState st133[4] = {
  160, 160, 133, 160
};

static DfaState st134[22] = {
  135, 136, 137, 138, 160, 139, 160, 140, 160, 160, 
  160, 160, 160, 141, 142, 143, 144, 145, 146, 147, 
  160, 160
};

static DfaState st135[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st136[22] = {
  160, 136, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st137[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st138[22] = {
  160, 160, 160, 148, 149, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st139[22] = {
  160, 160, 160, 160, 160, 160, 150, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st140[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  151, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st141[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st142[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st143[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st144[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st145[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st146[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 146, 160, 
  160, 160
};

static DfaState st147[22] = {
  160, 160, 160, 160, 160, 160, 152, 152, 152, 152, 
  152, 152, 152, 160, 160, 160, 160, 160, 152, 152, 
  152, 160
};

static DfaState st148[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st149[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st150[22] = {
  160, 160, 160, 160, 160, 160, 160, 153, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st151[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 154, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st152[22] = {
  160, 160, 160, 160, 160, 160, 152, 152, 152, 152, 
  152, 152, 152, 160, 160, 160, 160, 160, 152, 152, 
  152, 160
};

static DfaState st153[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 155, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st154[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 156, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st155[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 157, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st156[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st157[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  158, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st158[22] = {
  160, 160, 160, 160, 160, 160, 160, 159, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};

static DfaState st159[22] = {
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160, 160, 160, 160, 160, 160, 160, 160, 160, 
  160, 160
};


DfaState *dfa[160] = {
	st0,
	st1,
	st2,
	st3,
	st4,
	st5,
	st6,
	st7,
	st8,
	st9,
	st10,
	st11,
	st12,
	st13,
	st14,
	st15,
	st16,
	st17,
	st18,
	st19,
	st20,
	st21,
	st22,
	st23,
	st24,
	st25,
	st26,
	st27,
	st28,
	st29,
	st30,
	st31,
	st32,
	st33,
	st34,
	st35,
	st36,
	st37,
	st38,
	st39,
	st40,
	st41,
	st42,
	st43,
	st44,
	st45,
	st46,
	st47,
	st48,
	st49,
	st50,
	st51,
	st52,
	st53,
	st54,
	st55,
	st56,
	st57,
	st58,
	st59,
	st60,
	st61,
	st62,
	st63,
	st64,
	st65,
	st66,
	st67,
	st68,
	st69,
	st70,
	st71,
	st72,
	st73,
	st74,
	st75,
	st76,
	st77,
	st78,
	st79,
	st80,
	st81,
	st82,
	st83,
	st84,
	st85,
	st86,
	st87,
	st88,
	st89,
	st90,
	st91,
	st92,
	st93,
	st94,
	st95,
	st96,
	st97,
	st98,
	st99,
	st100,
	st101,
	st102,
	st103,
	st104,
	st105,
	st106,
	st107,
	st108,
	st109,
	st110,
	st111,
	st112,
	st113,
	st114,
	st115,
	st116,
	st117,
	st118,
	st119,
	st120,
	st121,
	st122,
	st123,
	st124,
	st125,
	st126,
	st127,
	st128,
	st129,
	st130,
	st131,
	st132,
	st133,
	st134,
	st135,
	st136,
	st137,
	st138,
	st139,
	st140,
	st141,
	st142,
	st143,
	st144,
	st145,
	st146,
	st147,
	st148,
	st149,
	st150,
	st151,
	st152,
	st153,
	st154,
	st155,
	st156,
	st157,
	st158,
	st159
};


DfaState accepts[161] = {
  0, 1, 2, 3, 4, 21, 6, 0, 16, 22, 
  31, 29, 13, 14, 15, 17, 18, 25, 20, 23, 
  24, 26, 27, 30, 5, 9, 7, 8, 10, 31, 
  31, 31, 19, 29, 28, 30, 31, 31, 31, 31, 
  31, 31, 31, 31, 11, 31, 12, 0, 32, 33, 
  34, 0, 36, 35, 0, 37, 38, 39, 0, 41, 
  40, 0, 42, 43, 44, 0, 46, 45, 0, 47, 
  49, 51, 50, 48, 0, 52, 53, 54, 0, 55, 
  56, 57, 0, 58, 60, 62, 61, 59, 0, 63, 
  0, 64, 0, 65, 69, 67, 68, 74, 76, 77, 
  75, 0, 81, 82, 85, 93, 90, 92, 93, 66, 
  72, 73, 80, 78, 84, 83, 79, 88, 86, 87, 
  89, 91, 70, 71, 0, 94, 96, 98, 97, 95, 
  0, 99, 100, 101, 0, 102, 103, 104, 0, 0, 
  0, 109, 110, 111, 112, 113, 114, 115, 105, 106, 
  0, 0, 115, 0, 0, 0, 108, 0, 0, 107, 0
};

void (*actions[116])() = {
	zzerraction,
	act1,
	act2,
	act3,
	act4,
	act5,
	act6,
	act7,
	act8,
	act9,
	act10,
	act11,
	act12,
	act13,
	act14,
	act15,
	act16,
	act17,
	act18,
	act19,
	act20,
	act21,
	act22,
	act23,
	act24,
	act25,
	act26,
	act27,
	act28,
	act29,
	act30,
	act31,
	act32,
	act33,
	act34,
	act35,
	act36,
	act37,
	act38,
	act39,
	act40,
	act41,
	act42,
	act43,
	act44,
	act45,
	act46,
	act47,
	act48,
	act49,
	act50,
	act51,
	act52,
	act53,
	act54,
	act55,
	act56,
	act57,
	act58,
	act59,
	act60,
	act61,
	act62,
	act63,
	act64,
	act65,
	act66,
	act67,
	act68,
	act69,
	act70,
	act71,
	act72,
	act73,
	act74,
	act75,
	act76,
	act77,
	act78,
	act79,
	act80,
	act81,
	act82,
	act83,
	act84,
	act85,
	act86,
	act87,
	act88,
	act89,
	act90,
	act91,
	act92,
	act93,
	act94,
	act95,
	act96,
	act97,
	act98,
	act99,
	act100,
	act101,
	act102,
	act103,
	act104,
	act105,
	act106,
	act107,
	act108,
	act109,
	act110,
	act111,
	act112,
	act113,
	act114,
	act115
};

static DfaState dfa_base[] = {
	0,
	47,
	54,
	61,
	68,
	74,
	78,
	82,
	88,
	92,
	124,
	130,
	134
};

static unsigned char *b_class_no[] = {
	shift0,
	shift1,
	shift2,
	shift3,
	shift4,
	shift5,
	shift6,
	shift7,
	shift8,
	shift9,
	shift10,
	shift11,
	shift12
};



#define ZZSHIFT(c) (b_class_no[zzauto][1+c])
#define MAX_MODE 13
#include "dlgauto.h"
