# Send comments to:
#   Dave Kuhlman
#   Reify
#   426 Madison Ave #9
#   Redwood City, CA 94061
#   415-368-8450
#   Internet: dkuhlman@netcom.com
#
# Copyright (c) 1994 G. David Kuhlman.
# All rights reserved.
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the
# above copyright notice and the following two paragraphs appear in
# all copies of this software.
#
# IN NO EVENT SHALL G. DAVID KUHLMAN BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
# OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF G. DAVID KUHLMAN
# HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# G. DAVID KUHLMAN SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND G. DAVID KUHLMAN HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

.AUTODEPEND

#=============================================================
#       Translator Definitions
#=============================================================
CC = bcc +TEST1.CFG
LIB = tlib.exe
LINK = tlink
LIBPATH = e:\BCOS2\LIB;e:\bcos2\classlib\lib
INCLUDEPATH = e:\BCOS2\INCLUDE;e:\bcos2\classlib\include;..\h;..\db;..\sup;..\kr;\btree


#=============================================================
#       Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

.asm.obj:
  $(TASM) -Mx $*.asm,$*.obj

.rc.res:
  $(RC) -r $*.rc

#=============================================================
#       List Macros
#=============================================================


EXE_DEPENDENCIES =  \
 test1.obj

LIBS = ..\libb\db.lib ..\libb\kr.lib ..\libb\sup.lib

#=============================================================
#       Explicit Rules
#=============================================================
test1.exe: test1.cfg test1b.lnk $(EXE_DEPENDENCIES) $(LIBS)
    $(LINK) @test1b.lnk


#=============================================================
#       Individual File Dependencies
#=============================================================
test1.obj: test1.cfg test1.cpp


#=============================================================
#       Compiler Configuration File
#=============================================================
test1.cfg: test1b.mak
  copy &&|
-R
-K
-a4
-g25
-j25
-L$(LIBPATH)
-I$(INCLUDEPATH)
-vi-
-v
-w-par
-w-aus
| test1.cfg

#=============================================================
#       Linker File
#=============================================================
test1b.lnk: test1b.mak
  copy &&|
/v /ap /Le:\bcos2\lib;..\libb /Toe /x e:\bcos2\lib\C02 +
test1.obj
test1.exe
nul.map
e:\bcos2\lib\c2 e:\bcos2\lib\os2 +
\btree\borland\btree +
kr db sup

| test1b.lnk

