
# Copyright (c) 1994 G. David Kuhlman.
# All rights reserved.
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the
# above copyright notice and the following two paragraphs appear in
# all copies of this software.
#
# IN NO EVENT SHALL G. DAVID KUHLMAN BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
# OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF G. DAVID KUHLMAN
# HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# G. DAVID KUHLMAN SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND G. DAVID KUHLMAN HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

.AUTODEPEND

#=============================================================
#       Translator Definitions
#=============================================================
CC = bcc +krc.CFG
LIB = tlib.exe
LINK = tlink
LIBPATH = e:\BCOS2\LIB;e:\bcos2\classlib\lib
INCLUDEPATH = e:\BCOS2\INCLUDE;e:\bcos2\classlib\include;..\kr;..\h;..\db;..\sup;d:\btree


#=============================================================
#       Implicit Rules
#=============================================================
.c.obj:
  $(CC) {$< }

.cpp.obj:
  $(CC) {$< }

#=============================================================
#       List Macros
#=============================================================


EXE_DEPENDENCIES =  \
 krc.obj \
 getopt.obj

LIBS = ..\libb\db.lib ..\libb\kr.lib ..\libb\sup.lib

#=============================================================
#       Explicit Rules
#=============================================================
krc.exe: krc.cfg krcb.lnk $(EXE_DEPENDENCIES) $(LIBS)
    $(LINK) @krcb.lnk


#=============================================================
#       Individual File Dependencies
#=============================================================
krc.obj: krc.cfg krc.cpp ..\db\db.hpp

getopt.obj: getopt.c
    $(CC) -DUSG getopt.c


#=============================================================
#       Compiler Configuration File
#=============================================================
krc.cfg: krcb.mak
  copy &&|
-c
-R
-K
-a4
-g25
-j25
-L$(LIBPATH)
-I$(INCLUDEPATH)
-vi-
-v
-w-par
-w-aus
| krc.cfg

#=============================================================
#       Linker File
#=============================================================
krcb.lnk: krcb.mak
  copy &&|
/v /ap /Le:\bcos2\lib;..\libb /Toe /x e:\bcos2\lib\C02 +
krc.obj +
getopt.obj
krc.exe
nul.map
e:\bcos2\lib\c2 e:\bcos2\lib\os2 +
\btree\borland\btree +
kr db sup

| krcb.lnk

