# Copyright (c) 1994 G. David Kuhlman.
# All rights reserved.
#
# Permission is hereby granted, without written agreement and without
# license or royalty fees, to use, copy, modify, and distribute this
# software and its documentation for any purpose, provided that the
# above copyright notice and the following two paragraphs appear in
# all copies of this software.
#
# IN NO EVENT SHALL G. DAVID KUHLMAN BE LIABLE TO ANY PARTY FOR
# DIRECT, INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES ARISING OUT
# OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, EVEN IF G. DAVID KUHLMAN
# HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# G. DAVID KUHLMAN SPECIFICALLY DISCLAIMS ANY WARRANTIES,
# INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
# AND FITNESS FOR A PARTICULAR PURPOSE.  THE SOFTWARE PROVIDED HEREUNDER IS
# ON AN "AS IS" BASIS, AND G. DAVID KUHLMAN HAS NO OBLIGATION TO
# PROVIDE MAINTENANCE, SUPPORT, UPDATES, ENHANCEMENTS, OR MODIFICATIONS.

#=============================================================
#

.AUTODEPEND

#=============================================================
#		Translator Definitions
#=============================================================
CC = bcc +SUP.CFG
TASM = tasm.exe
TLIB = tlib.exe
TLINK = tlink
RC = brcc.exe
RB = rc.exe
LIBPATH = e:\BCOS2\LIB;e:\bcos2\classlib\lib
INCLUDEPATH = e:\BCOS2\INCLUDE;e:\bcos2\classlib\include;..\h;..\db


#=============================================================
#		Implicit Rules
#=============================================================
.c.obj:
  $(CC) -c {$< }

.cpp.obj:
  $(CC) -c {$< }

#=============================================================
#		List Macros
#=============================================================


LIB_DEPENDENCIES =  \
 sup.obj \
 krstrg.obj \
 krstrm.obj

#=============================================================
#		Explicit Rules
#=============================================================
sup.lib: sup.cfg $(LIB_DEPENDENCIES)
    - del sup.lib
    $(TLIB) $<  @&&|
+sup.obj &
+krstrg.obj &
+krstrm.obj
|
    - del ..\libb\sup.lib
    move sup.lib ..\libb


#=============================================================
#		Individual File Dependencies
#=============================================================
sup.obj: sup.cfg sup.cpp 

krstrg.obj: sup.cfg krstrg.cpp ..\db\db.hpp

krstrm.obj: sup.cfg krstrm.cpp

#=============================================================
#		Compiler Configuration File
#=============================================================
sup.cfg: supb.mak
  copy &&|
-R
-K
-a4
-g10
-j15
-L$(LIBPATH)
-I$(INCLUDEPATH)
-vi-
-v
-w-par
| sup.cfg


